%define name FunktrackerGOLD
%define version 1.5
%define release 2mdk

Summary:  FNK/MOD Editor; Sound file editor
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Sound
Source: funktrackergold-1.5.tar.bz2 
Patch0: funkgold.patch.bz2
Patch1: funkgold-megaloman.patch.bz2
URL: http://www.downunder.net.au/~jsno/
BuildRoot: /var/tmp/%{name}-buildroot

%description
Mod tracking program.  This is the only working MOD tracker available for Linux
at this time.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n funkgold
%patch0 -p1 -b .asm
%patch1 -p1 -b .megaloman

%build
make clean
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
make


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/bin/
mkdir -p $RPM_BUILD_ROOT/usr/lib/funktracker
 
install -m 755 -s funkgold  $RPM_BUILD_ROOT/usr/bin
install -m 644 Songs/* $RPM_BUILD_ROOT/usr/lib/funktracker 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root) 
/usr/lib/funktracker
/usr/bin/funkgold

%doc COPYING DEVELOPERS.README FORMAT.FunktrackerGOLD FORMAT.Protracker INSTALL TODO WHATS-NEW  

%changelog
* Wed Apr 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.5-2mdk
- fix source permission
- fix group

* Tue Jan 25 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build

* Sun May  9 1999 Peter Hanecak <hanecak@megaloman.sk>
- changes to allow non-root users to build too (%install)
- makefile patch

* Mon Aug 17 1998 Michael Maher <mike@redhat.com>
- built package 
